import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
import { AddMemberArgs, AddMemberArgsArgs } from '../types';
export type AddMemberNftInstructionAccounts = {
    authority?: Signer;
    fanout: PublicKey;
    membershipAccount: PublicKey;
    mint: PublicKey;
    metadata: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
    tokenProgram?: PublicKey;
};
export type AddMemberNftInstructionData = {
    discriminator: Array<number>;
    args: AddMemberArgs;
};
export type AddMemberNftInstructionArgs = {
    args: AddMemberArgsArgs;
};
export declare function getAddMemberNftInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddMemberNftInstructionArgs, AddMemberNftInstructionData>;
export declare function addMemberNft(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: AddMemberNftInstructionAccounts & AddMemberNftInstructionArgs): WrappedInstruction;
