import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
import { AddMemberArgs, AddMemberArgsArgs } from '../types';
export type AddMemberWalletInstructionAccounts = {
    authority?: Signer;
    member: PublicKey;
    fanout: PublicKey;
    membershipAccount: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
    tokenProgram?: PublicKey;
};
export type AddMemberWalletInstructionData = {
    discriminator: Array<number>;
    args: AddMemberArgs;
};
export type AddMemberWalletInstructionArgs = {
    args: AddMemberArgsArgs;
};
export declare function getAddMemberWalletInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddMemberWalletInstructionArgs, AddMemberWalletInstructionData>;
export declare function addMemberWallet(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: AddMemberWalletInstructionAccounts & AddMemberWalletInstructionArgs): WrappedInstruction;
