import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
import { MembershipModel } from '../types';
export type InitInstructionAccounts = {
    authority?: Signer;
    fanout?: PublicKey;
    holdingAccount?: PublicKey;
    systemProgram?: PublicKey;
    membershipMint?: PublicKey;
    rent?: PublicKey;
    tokenProgram?: PublicKey;
};
export type InitInstructionData = {
    discriminator: Array<number>;
    bumpSeed: number;
    nativeAccountBumpSeed: number;
    name: string;
    totalShares: bigint;
    model: MembershipModel;
};
export type InitInstructionArgs = {
    bumpSeed: number;
    nativeAccountBumpSeed: number;
    name: string;
    totalShares: number | bigint;
    model: MembershipModel;
};
export declare function getInitInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitInstructionArgs, InitInstructionData>;
export declare function init(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity'>, input: InitInstructionAccounts & InitInstructionArgs): WrappedInstruction;
