import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type TransferSharesInstructionAccounts = {
    authority?: Signer;
    fromMember: PublicKey;
    toMember: PublicKey;
    fanout: PublicKey;
    fromMembershipAccount: PublicKey;
    toMembershipAccount: PublicKey;
};
export type TransferSharesInstructionData = {
    discriminator: Array<number>;
    shares: bigint;
};
export type TransferSharesInstructionArgs = {
    shares: number | bigint;
};
export declare function getTransferSharesInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferSharesInstructionArgs, TransferSharesInstructionData>;
export declare function transferShares(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferSharesInstructionAccounts & TransferSharesInstructionArgs): WrappedInstruction;
