"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = exports.getInitInstructionDataSerializer = void 0;
const hooked_1 = require("../hooked");
const generated_1 = require("../generated");
const init_1 = require("../generated/instructions/init");
Object.defineProperty(exports, "getInitInstructionDataSerializer", { enumerable: true, get: function () { return init_1.getInitInstructionDataSerializer; } });
const init = (context, input) => {
    const defaultFanout = (0, generated_1.findFanoutPda)(context, { name: input.name });
    const defaultHoldingAccount = (0, hooked_1.findFanoutNativeAccountPda)(context, {
        fanout: input.fanout ?? defaultFanout,
    });
    return (0, init_1.init)(context, {
        ...input,
        fanout: input.fanout ?? defaultFanout,
        holdingAccount: input.holdingAccount ?? defaultHoldingAccount,
        bumpSeed: input.bumpSeed ?? defaultFanout.bump,
        nativeAccountBumpSeed: input.nativeAccountBumpSeed ?? defaultHoldingAccount.bump,
    });
};
exports.init = init;
//# sourceMappingURL=init.js.map